﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.Linq;

namespace LINQInteraction
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        List<Persona> _persone = new List<Persona> {
			new Persona { Cognome = "Mostarda", Nome = "Stefano" , Eta=29},
			new Persona { Cognome = "Bochicchio", Nome = "Daniele" , Eta=29},
			new Persona { Cognome = "Civera", Nome = "Cristian" , Eta=27},
			new Persona { Cognome = "Leoncini", Nome = "Alessio" , Eta=34},
			new Persona { Cognome = "Leoncini", Nome = "Marco" , Eta=32}
        };

        List<Persona> _altrePersone = new List<Persona> {
			new Persona { Cognome = "Mostarda", Nome = "Stefano" , Eta=28},
			new Persona { Cognome = "Lattanzi", Nome = "Ugo" , Eta=29},
			new Persona { Cognome = "Golia", Nome = "Riccardo" , Eta=32},
			new Persona { Cognome = "Leoncini", Nome = "Marco" , Eta=32}
		};
        
        private void button1_Click(object sender, EventArgs e)
        {
            var q = new XDocument(
                new XElement("persone",
                    from p in _persone
                    select new XElement("persona",
                        new XElement("nome", p.Nome),
                        new XElement("Cognome", p.Cognome)
                    )
                )
            );

            textbox.Text = q.ToString();

        }

        private void LTS_LTX_Click(object sender, EventArgs e)
        {
            using (NWDataContext ctx = new NWDataContext())
            {
                var q = new XDocument(
                    new XElement("orders",
                        from o in ctx.Orders
                        where o.CustomerID == "ALFKI"
                        select new XElement("order",
                            new XAttribute("orderid", o.OrderID),
                            new XElement("details",
                                from d in o.Order_Details
                                select new XElement("detail",
                                    new XElement("Productid", d.ProductID),
                                    new XElement("quantity", d.Quantity)
                                )
                            )
                        )
                    )
                );
                textbox.Text = q.ToString();

            }
        }

        private void LTX_LTS_Click(object sender, EventArgs e)
        {
            using (NWDataContext ctx = new NWDataContext())
            {
                var query = XDocument.Parse("<orders>" +
                  "<order orderid=\"00000\">" +
                  "  <detail>" +
                  "  <productid>59</productid>" +
                  "  <unitprice>55.0000</unitprice>" +
                  "   <quantity>15</quantity>" +
                  " </detail>" +
                  " <detail>" +
                  "   <productid>77</productid>" +
                  "   <unitprice>13.0000</unitprice>" +
                  "   <quantity>2</quantity>" +
                  " </detail>" +
                  "</order>" +
                  "<order orderid=\"10952\">" +
                  "  <detail>" +
                  "    <productid>6</productid>" +
                  "    <unitprice>25.0000</unitprice>" +
                  "    <quantity>16</quantity>" +
                  "  </detail>" +
                  "  <detail>" +
                  "    <productid>28</productid>" +
                  "    <unitprice>45.6000</unitprice>" +
                  "    <quantity>2</quantity>" +
                  "  </detail>" +
                  "</order>" +
                  "</orders>");

                var query2 = from o in ctx.Orders
                             where (from p in query.Element("orders").Elements("order")
                                    select Convert.ToInt32(p.Attribute("orderid").Value)
                                            ).Contains(o.OrderID)
                             select o;
                foreach (var item in query2)
                {
                    textbox.Text += new XElement("persona",
                        new XElement("CustomerID", item.CustomerID),
                        new XElement("EmployeeID", item.EmployeeID),
                        new XElement("Freight", item.Freight),
                        new XElement("OrderDate", item.OrderDate),
                        new XElement("OrderID", item.OrderID),
                        new XElement("RequiredDate", item.RequiredDate),
                        new XElement("ShipAddress", item.ShipAddress),
                        new XElement("ShipCity", item.ShipCity),
                        new XElement("ShipCountry", item.ShipCountry),
                        new XElement("ShipName", item.ShipName),
                        new XElement("ShippedDate", item.ShippedDate),
                        new XElement("ShipPostalCode", item.ShipPostalCode),
                        new XElement("ShipRegion", item.ShipRegion),
                        new XElement("ShipVia", item.ShipVia)
                    ).ToString();
                }
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {

        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            var q = _persone.Where(p => p.Eta > 30).Select(p => new {p.Nome, p.Cognome });
            var p1 = from p in _persone
                    where p.Eta > 30
                    select new { p.Nome, p.Cognome };
            dataGridView1.DataSource = q.ToList();
            //var q1 = _persone.Union(_altrePersone).ToList();
            //var q2 = _persone.Intersect(_altrePersone).ToList();
            //var q3 = _persone.Except(_altrePersone).ToList();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            /*var l = from el in XDocument.Parse(textbox.Text).Element("orders").Elements("order")
                    select new { OrderId = el.Attribute("orderid") };
            foreach (var item in l)
            {
                
            }*7
        }
    }
}
