using System;
using System.Collections.Generic;
using ASPItalia.Pubs.Common.ObjectModel;
using ASPItalia.Pubs.Data;

namespace ASPItalia.Pubs.Business
{
    internal class AuthorService : IEntityService<Author>
    {
        public Author ReadSingle(string authorID)
        {
            Author item;
            using (DataService service = new DataService(true))
                item = service.GetAuthor(authorID);
            return item;
        }

        public List<Author> ReadAll()
        {
            List<Author> items;
            using (DataService service = new DataService(true))
                items = service.GetAuthorList();
            return items;
        }

        public void Create(Author author)
        {
            using (DataService service = new DataService())
                service.CreateAuthor(author);
        }

        public void Update(Author author)
        {
            using (DataService service = new DataService())
                service.UpdateAuthor(author);
        }

        public void Delete(string authorID)
        {
            using (DataService service = new DataService())
                service.DeleteAuthor(authorID);
        }

        Author IEntityService<Author>.ReadSingle(string entityID)
        {
            return this.ReadSingle(entityID);
        }

        List<Author> IEntityService<Author>.ReadAll()
        {
            return this.ReadAll();
        }

        void IEntityService<Author>.Create(Author entity)
        {
            this.Create(entity);
        }

        void IEntityService<Author>.Update(Author entity)
        {
            this.Update(entity);
        }

        void IEntityService<Author>.Delete(string entityID)
        {
            this.Delete(entityID);
        }
    }
}
