using System;
using System.Collections.Generic;
using ASPItalia.Pubs.Common.ObjectModel;
using ASPItalia.Pubs.Data;

namespace ASPItalia.Pubs.Business
{
    internal class BookService : IEntityService<Book>
    {
        public Book ReadSingle(string bookID)
        {
            Book item;
            using (DataService service = new DataService(true))
                item = service.GetBook(bookID);
            return item;
        }

        public List<Book> ReadAll()
        {
            List<Book> items;
            using (DataService service = new DataService(true))
                items = service.GetBookList();
            return items;
        }

        public void Create(Book book)
        {
            using (DataService service = new DataService())
                service.CreateBook(book);
        }

        public void Update(Book book)
        {
            using (DataService service = new DataService())
                service.UpdateBook(book);
        }

        public void Delete(string bookID)
        {
            using (DataService service = new DataService())
                service.DeleteBook(bookID);
        }

        Book IEntityService<Book>.ReadSingle(string entityID)
        {
            return this.ReadSingle(entityID);
        }

        List<Book> IEntityService<Book>.ReadAll()
        {
            return this.ReadAll();
        }

        void IEntityService<Book>.Create(Book entity)
        {
            this.Create(entity);
        }

        void IEntityService<Book>.Update(Book entity)
        {
            this.Update(entity);
        }

        void IEntityService<Book>.Delete(string entityID)
        {
            this.Delete(entityID);
        }
    }
}
