using System;
using System.Collections.Generic;
using ASPItalia.Pubs.Common.ObjectModel;
using ASPItalia.Pubs.Data;

namespace ASPItalia.Pubs.Business
{
    internal class PublisherService : IEntityService<Publisher>
    {
        public Publisher ReadSingle(string publisherID)
        {
            Publisher item;
            using (DataService service = new DataService(true))
                item = service.GetPublisher(publisherID);
            return item;
        }

        public List<Publisher> ReadAll()
        {
            List<Publisher> items;
            using (DataService service = new DataService(true))
                items = service.GetPublisherList();
            return items;
        }

        public void Create(Publisher publisher)
        {
            using (DataService service = new DataService())
                service.CreatePublisher(publisher);
        }

        public void Update(Publisher publisher)
        {
            using (DataService service = new DataService())
                service.UpdatePublisher(publisher);
        }

        public void Delete(string publisherID)
        {
            using (DataService service = new DataService())
                service.DeletePublisher(publisherID);
        }

        Publisher IEntityService<Publisher>.ReadSingle(string entityID)
        {
            return this.ReadSingle(entityID);
        }

        List<Publisher> IEntityService<Publisher>.ReadAll()
        {
            return this.ReadAll();
        }

        void IEntityService<Publisher>.Create(Publisher entity)
        {
            this.Create(entity);
        }

        void IEntityService<Publisher>.Update(Publisher entity)
        {
            this.Update(entity);
        }

        void IEntityService<Publisher>.Delete(string entityID)
        {
            this.Delete(entityID);
        }
    }
}
