using System;
using System.IO;
using System.Web;
using System.Web.Caching;
using System.Collections;

namespace ASPItalia.Pubs.Common.Services
{
    internal class CacheFileService
    {
        string _fileName = string.Empty;

        public string FileName
        {
            get { return _fileName; }
            private set
            {
                if ((!string.IsNullOrEmpty(value)) && (value.ToLower().EndsWith(".cache")))
                    _fileName = value;
            }
        }

        public string FullPath
        {
            get { return ConfigurationService.CacheFilePath + FileName; }
        }

        public CacheFileService(string fileName)
        {
            FileName = fileName;
        }

        public void CreateFile()
        {
            if (!string.IsNullOrEmpty(FileName))
            {
                try
                {
                    DeleteFile();
                    File.CreateText(FullPath).Write(string.Empty);
                }
                catch
                {
                }
            }
        }

        public void DeleteFile()
        {
            if (!string.IsNullOrEmpty(FileName))
            {
                try
                {
                    if (File.Exists(FullPath))
                        File.Delete(FullPath);
                }
                catch
                {
                }
            }
        }

        public bool Exists()
        {
            return File.Exists(FullPath);
        }

        public static void Clear()
        {
            try
            {
                string[] files = System.IO.Directory.GetFiles(ConfigurationService.CacheFilePath, "*.cache");
                foreach (string file in files)
                    File.Delete(file);
            }
            catch
            {
            }
        }
    }
}