using System;
using System.IO;
using System.Configuration;

namespace ASPItalia.Pubs.Common.Services
{
    public static class ConfigurationService
    {
        private static readonly string _connectionString = string.Empty;

        public static string ConnectionString
        {
            get { return _connectionString; }
        }

        private static readonly bool _cacheEnabled = true;

        public static bool CacheEnabled
        {
            get { return _cacheEnabled; }
        }

        private static readonly bool _queryLogEnabled = true;

        public static bool QueryLogEnabled
        {
            get { return _queryLogEnabled; }
        }

        private static readonly int _defaultCacheTimeout = 20;

        public static int DefaultCacheTimeout
        {
            get { return ConfigurationService._defaultCacheTimeout; }
        }

        private static readonly string _cacheFilePath = @"c:\Temp\";

        public static string CacheFilePath
        {
            get { return ConfigurationService._cacheFilePath; }
        }

        private static readonly string _queryLogFilename = @"c:\Temp\Pubs.log";

        public static string QueryLogFilename
        {
            get { return ConfigurationService._queryLogFilename; }
        } 

        static ConfigurationService()
        {
            bool b1 = true;
            bool b2 = false;
            int i = 20;

            if (ConfigurationManager.ConnectionStrings["pubs"] != null)
                _connectionString = ConfigurationManager.ConnectionStrings["pubs"].ConnectionString;

            if (bool.TryParse(ConfigurationManager.AppSettings["CacheEnabled"], out b1))
                _cacheEnabled = b1;

            if (bool.TryParse(ConfigurationManager.AppSettings["QueryLogEnabled"], out b2))
                _queryLogEnabled = b2;

            if (int.TryParse(ConfigurationManager.AppSettings["DefaultCacheTimeout"], out i))
                _defaultCacheTimeout = i;

            if (ConfigurationManager.AppSettings["CacheFilePath"] != null)
                if (Directory.Exists(ConfigurationManager.AppSettings["CacheFilePath"]))
                    _cacheFilePath = ConfigurationManager.AppSettings["CacheFilePath"];

            if (ConfigurationManager.AppSettings["QueryLogFilename"] != null)
                _cacheFilePath = ConfigurationManager.AppSettings["QueryLogFilename"];
        }
    }
}
