using System;
using System.Web;

namespace ASPItalia.Pubs.Common.Services.Validation
{
	public abstract class QueryStringValidatorBaseAttribute : Attribute
    {
		private string _key = String.Empty;

        public string Key
        {
			get { return _key; }
			protected set { _key = value; }
		}

        private bool _throwExceptionOnError = false;

        public bool ThrowExceptionOnError
        {
			get { return _throwExceptionOnError; }
			protected set { _throwExceptionOnError = value; }
		}
		
        public abstract string ErrorMessage
        {
			get;
		}

		public QueryStringValidatorBaseAttribute(string key, bool throwExceptionOnError)
        {
			Key = key;
			ThrowExceptionOnError = throwExceptionOnError;
		}

		public abstract bool EvaluateIsValid();

		protected string GetQueryStringValue()
        {
			return HttpContext.Current.Request[Key];
		}
	}
}
