using System;
using System.Web;

namespace ASPItalia.Pubs.Common.Services.Validation
{
	[AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = true)]
	public sealed class CustomQueryStringValidatorAttribute : QueryStringValidatorBaseAttribute
    {
		public CustomQueryStringValidatorAttribute(string key, bool throwExceptionOnError) : base(key, throwExceptionOnError)
        {
        }

		public override string ErrorMessage
        {
			get { return "Custom QueryString validation failed."; }
		}

		public override bool EvaluateIsValid()
        {
			return ((ICustomQueryStringValidator)System.Web.HttpContext.Current.Handler).QueryStringValidate();
		}
	}
}