using System;
using System.Web;

namespace ASPItalia.Pubs.Common.Services.Validation
{
	public static class QueryStringValidationService
    {
		public static bool Validate()
        {
			if (HttpContext.Current.Handler != null)
            {
				IHttpHandler handler = HttpContext.Current.Handler;
				foreach (QueryStringValidatorBaseAttribute attr in handler.GetType().GetCustomAttributes(typeof(QueryStringValidatorBaseAttribute), true))
                {
					if (!attr.EvaluateIsValid())
                    {
						HttpContext.Current.Items.Add("__QUERYSTRINGVALIDATION", false);
					
                        if (attr.ThrowExceptionOnError)
							throw new ArgumentException(attr.ErrorMessage, attr.Key);
						
                        return false;
					}
				}
			}

			HttpContext.Current.Items.Add("__QUERYSTRINGVALIDATION", true);
			return true;
		}
	}
}