using System;
using System.Web;
using System.Text.RegularExpressions;

namespace ASPItalia.Pubs.Common.Services.Validation
{
	[AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = true)]
	public sealed class RegexQueryStringValidatorAttribute : QueryStringValidatorBaseAttribute
    {
		private string _regEx = null;

		public RegexQueryStringValidatorAttribute(string key, bool throwExceptionOnError, string regEx)	: base(key, throwExceptionOnError)
        {
			_regEx = regEx;
		}

		public override string ErrorMessage
        {
			get { return "Value doesn't match regular expression."; }
		}

		public override bool EvaluateIsValid()
        {
			if (String.IsNullOrEmpty(GetQueryStringValue()))
                return true;

			return Regex.IsMatch(GetQueryStringValue(), _regEx);
		}
	}
}