using System;
using System.Web;

namespace ASPItalia.Pubs.Common.Services.Validation
{
	[AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = true)]
	public sealed class RequiredQueryStringValidatorAttribute : QueryStringValidatorBaseAttribute
    {
		public RequiredQueryStringValidatorAttribute(string key, bool throwExceptionOnError) : base(key, throwExceptionOnError)
        {
        }

		public override string ErrorMessage
        {
			get { return "Value cannot be null or empty."; }
		}

		public override bool EvaluateIsValid()
        {
			return (!String.IsNullOrEmpty(HttpContext.Current.Request[Key]));
		}
	}
}