<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Pubs.Master" CodeBehind="Book.aspx.cs" Inherits="ASPItalia.Pubs.Web.BookPage" %>
<%@ Import Namespace="System.Linq" %>
<%@ Import Namespace="ASPItalia.Pubs.Common.ObjectModel" %>

<asp:Content runat="server" ContentPlaceHolderID="Body">
    <h4>Scheda libro</h4>
    <p>
        <asp:DetailsView ID="BookView" runat="server" AutoGenerateRows="False" BackColor="White"
            BorderColor="#999999" BorderStyle="Solid" BorderWidth="1px" CellPadding="3" DataSourceID="BookDataSource"
            ForeColor="Black" GridLines="Vertical" Height="50px" Width="800px" OnDataBound="BookView_DataBound">
            <RowStyle Font-Size="Small" />
            <AlternatingRowStyle BackColor="#CCCCCC" Font-Size="Small" />
            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" Font-Size="Small" />
            <HeaderStyle BackColor="Black" Font-Bold="True" ForeColor="White" Font-Size="Small" HorizontalAlign="Left" />
            <FooterStyle BackColor="#CCCCCC" Font-Size="Small" />
            <Fields>
                <asp:BoundField DataField="BookID" HeaderText="ID" HeaderStyle-Font-Bold="true" HeaderStyle-Width="100" />
                <asp:BoundField DataField="Title" HeaderText="Titolo" HeaderStyle-Font-Bold="true" HeaderStyle-Width="100" />
                <asp:TemplateField HeaderText="Autori" HeaderStyle-Font-Bold="true" HeaderStyle-Width="100">
                    <ItemTemplate>
                        <asp:Repeater ID="AuthorList" runat="server">
                            <ItemTemplate><%#((Author)Container.DataItem).LastName%>&nbsp;<%#((Author)Container.DataItem).FirstName%></ItemTemplate>
                            <SeparatorTemplate>, </SeparatorTemplate>
                        </asp:Repeater>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Editore" HeaderStyle-Font-Bold="true" HeaderStyle-Width="100">
                    <ItemTemplate><%#((Book)Container.DataItem).Publisher.Name%></ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Category" HeaderText="Categoria" HeaderStyle-Font-Bold="true" HeaderStyle-Width="100" />
                <asp:BoundField DataField="PublicationDate" DataFormatString="{0:d}" HeaderText="Data" HeaderStyle-Font-Bold="true" HeaderStyle-Width="100" />
                <asp:BoundField DataField="Price" DataFormatString="{0:0.00 euro}" HeaderText="Prezzo" HeaderStyle-Font-Bold="true" HeaderStyle-Width="100" />
            </Fields>
        </asp:DetailsView>
        <asp:ObjectDataSource ID="BookDataSource" runat="server" SelectMethod="GetSingle" TypeName="ASPItalia.Pubs.Business.BookManager">
            <SelectParameters>
                <asp:QueryStringParameter Name="bookID" QueryStringField="id" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </p>
    <p>
        <asp:HyperLink runat="server" NavigateUrl="~/Books.aspx" Font-Size="Small">Torna al catalogo dei libri</asp:HyperLink>
    </p>
</asp:Content>