using System;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ASPItalia.Pubs.Common.Services.Validation;
using ASPItalia.Pubs.Common.ObjectModel;

namespace ASPItalia.Pubs.Web
{
    [RequiredQueryStringValidator("id", false)]
    [RegexQueryStringValidator("id", false, @"[A-Z]{2}\d{4}")]
    public partial class BookPage : PageBase
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        protected void BookView_DataBound(object sender, EventArgs e)
        {
            var authors =
                from ba in ((Book)BookView.DataItem).Authors
                orderby ba.Author.LastName, ba.Author.FirstName
                select ba.Author;

            Repeater rpt = ((Repeater)BookView.FindControl("AuthorList"));
            rpt.DataSource = authors;
            rpt.DataBind();
        }
    }
}
