using System;
using System.Web;
using System.Web.UI;
using ASPItalia.Pubs.Web;
using ASPItalia.Pubs.Common.Services.Validation;
using ASPItalia.Pubs.Business;

namespace ASPItalia.Pubs.Web
{
    [RegexQueryStringValidator("au_id", false, @"\d{3}-\d{2}-\d{4}")]
    [RegexQueryStringValidator("pub_id", false, @"\d{4}")]
    public partial class BooksPage : PageBase
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            if ((Request.QueryString["au_id"] != null) && (Request.QueryString["pub_id"] == null))
                BookGrid.DataSource = new BookManager().GetListByAuthor(Request.QueryString["au_id"]);

            if ((Request.QueryString["au_id"] == null) && (Request.QueryString["pub_id"] != null))
                BookGrid.DataSource = new BookManager().GetListByPublisher(Request.QueryString["pub_id"]);

            if (((Request.QueryString["au_id"] == null) && (Request.QueryString["pub_id"] == null)) ||
               ((Request.QueryString["au_id"] != null) && (Request.QueryString["pub_id"] != null)))
                BookGrid.DataSource = new BookManager().GetList();

            BookGrid.DataBind();
        }

        protected void BookGrid_RowCommand(object sender, System.Web.UI.WebControls.GridViewCommandEventArgs e)
        {
            if (e.CommandName == "DeleteBook")
                new BookManager().Delete(e.CommandArgument.ToString());
        }
    }
}
