﻿using System;
using System.Linq;
using System.Web;
using System.Web.UI;
using ASPItalia.Pubs.Common.ObjectModel;
using ASPItalia.Pubs.Business;

namespace ASPItalia.Pubs.Web
{
    public partial class CreatePage : PageBase
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        protected void SubmitButton_Click(object sender, EventArgs e)
        {
            Publisher publisher = new Publisher()
            {
                PublisherID = "9990",
                Name = "Edizioni Scardovi"
            };

            Author author1 = new Author()
            {
                AuthorID = "123-45-1234",
                FirstName = "Daniele",
                LastName = "Bochicchio",
                PhoneNumber = "11111",
                HasContract = true
            };

            Author author2 = new Author()
            {
                AuthorID = "123-45-2345",
                FirstName = "Cristian",
                LastName = "Civera",
                PhoneNumber = "22222",
                HasContract = true
            };

            Author author3 = new Author()
            {
                AuthorID = "123-45-3456",
                FirstName = "Riccardo",
                LastName = "Golia",
                PhoneNumber = "33333",
                HasContract = true
            };

            Author author4 = new Author()
            {
                AuthorID = "123-45-4567",
                FirstName = "Stefano",
                LastName = "Mostarda",
                PhoneNumber = "44444",
                HasContract = true
            };

            Book book = new Book()
            {
                BookID = "PC3333",
                Title = "ASP.NET 2.0 per tutti",
                PublicationDate = new DateTime(2006, 9, 30),
                Category = "popular_comp",
                Price = 25,
                Publisher = publisher
            };

            book.Authors.Add(new BookAuthor() { Book = book, Author = author1 });
            book.Authors.Add(new BookAuthor() { Book = book, Author = author2 });
            book.Authors.Add(new BookAuthor() { Book = book, Author = author3 });
            book.Authors.Add(new BookAuthor() { Book = book, Author = author4 });

            new BookManager().Create(book);

            Response.Redirect("Books.aspx");
        }
    }
}
